Critical Patch for All-Flash vSAN with Deduplication (6.0 and 6.5)

VMware has released a critical patch for vSAN 6.0 and 6.5. This patch contains a fix for a highly critical vSAN issue that might cause IO read errors and in some cases severe symptoms such as inaccessible VMs, host failures, or stuck resyncs. The issue manifests itself only under highly specific operations and IO patterns.

The bug only affects All-Flash vSAN configurations with deduplication enabled.

Symptoms for this issues are the following messages in the Events tab:

  • "vSAN detected an unrecoverable medium or checksum error for component uuid on disk group uuid."
  • "vSAN detected and fixed a medium or checksum error for component uuid on disk group uuid."

The following versions are affected according to KB2151042 and KB2151081.

NamePatchDateBuild
ESXi 6.5 Update 1ESXi650-update12017-07-275969303
ESXi 6.5 Update 1 (Security only)ESXi650-update12017-07-275969300
ESXi 6.5d (vSAN 6.6 Patch)ESXi650-2017040012017-04-185310538
ESXi 6.5 Express Patch 1aESXi650-2017030022017-03-285224529
ESXi 6.5 Patch 1ESXi650-2017030012017-03-095146846
ESXi 6.5 Patch 1 (Security Only)ESXi650-2017030012017-03-095146843
ESXi 6.5aESXi650-2017010012017-02-024887370
ESXi 6.5 GA2016-11-154564106
ESXi 6.0 Update 3a (Patch 5)ESXi600-2017060012017-06-065572656
ESXi 6.0 Update 3a (Patch 5) (Security Only)ESXi600-2017060012017-06-065485776
ESXi 6.0 Express Patch 7aESXi600-2017030012017-03-285224934
ESXi 6.0 Update 3ESXi600-update32017-02-245050593
ESXi 6.0 Update 3 (Security Only)ESXi600-update32017-02-245047589
ESXi 6.0 Patch 4ESXi600-2016110012016-11-224600944
ESXi 6.0 Patch 4 (Security Only)ESXi600-2016110012016-11-224558694

VMware states that all vSAN customers using All-Flash with deduplication enabled must upgrade to this patch immediately:

Leave a Reply

Your email address will not be published.

This site uses Akismet to reduce spam. Learn how your comment data is processed.